| Home | Libraries | People | FAQ | More

#### ip::tcp::iostream

The TCP iostream type.

    typedef basic_socket_iostream< tcp > iostream;

###### Member Functions

Name | Description
--- | ---
basic_socket_iostream | Construct a basic_socket_iostream without establishing a connection. Establish a connection to an endpoint corresponding to a resolver query.
close | Close the connection.
connect | Establish a connection to an endpoint corresponding to a resolver query.
rdbuf | Return a pointer to the underlying streambuf.

###### Requirements

Header: `boost/asio/ip/tcp.hpp`

Convenience header: `boost/asio.hpp`